<div class="col-6 mx-auto mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="alert text-center" [ngClass]=" status=='success' ?'alert-success':'alert-danger'" *ngIf="status">
    {{message}}<span *ngIf="status=='success'">. Bienvenido {{identity.name +' '+ identity.surname}}</span>
  </div>
  <form #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)" class="col-6 mx-auto">
    <div class="form-group">
      <label for="email">E-mail:</label>
      <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
      <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El email no es válido</div>
    </div>
    <div class="form-group">
        <label for="password">Contraseña</label>
        <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" class="form-control" pattern=".{5,}" required>
        <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">El password no es válido</div>
    </div>
    <div class="form-group">
      <input type="submit" value="Entrar" class="btn btn-success" [disabled]="loginForm.form.invalid">
    </div>
  </form>
</div>
